{% comment %}

Page header

Variables:
    help_url: Url of page-wide Help button
    page_title
    page_title_url
    page_icon
    is_producer
    page_title_secondary
    page_subtitle

{% endcomment %}
{% load i18n %}
{% load rbac_permissions %}

<div class="page-header">
    {% comment %}
    {% if help_url %}
        <div class="pull-right">
            <a href="{{ STATIC_URL }}help/{{ help_url }}" rel="tooltip" class="btn btn-default btn-sm"
               title="{% trans "Go to the help page about this application section" %}">
                <span class="icon-question-sign"></span>
                {% trans "Help" %}
            </a>
        </div>
    {% endif %}
    {% endcomment %}
  <div class="row">
    <div class="col-xs-7">
      <h1 class="page-title">
            {% if page_title_url %}
        <a href="{{ page_title_url|default:"" }}">
            {% endif %}
          {% if page_icon %}
            <span class="page-icon hidden-phone {{ page_icon }}"></span>
          {% endif %}
          {{ page_title }}
                {% if page_title_secondary %}
                    <small>{{ page_title_secondary }}</small>
                {% endif %}
            {% if page_title_url %}
        </a>
            {% endif %}
      </h1>
    </div>
    <div class="col-xs-5">

          <a href="/">
              <button type="button" class="btn btn-default pull-right">
                  <span class="fa fa-floppy-o"></span>
                  {% trans "Proceed later" %}
              </button>
          </a>
              {% user_has_permission user 'Read' 'Share with auditor' wf_context.assessment_status as share_with_auditor %}
        {% if share_with_auditor %}
          <a class="btn btn-default pull-right"
             href="#shareWithAuditor" data-toggle="modal">
              <span class="fa fa-share-alt"></span>
              {% trans 'Share with auditor' %}
          </a>
          {% endif %}

        <div class="modal fade" id="shareWithAuditor">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                        <h3>{% trans "Share with auditor" %}</h3>
                    </div>
                    <div class="modal-body">
                        <p>{% trans "Are you sure you want to share this assessment with the auditor" %}?</p>
                    </div>
                    <div class="modal-footer">
                        <a class="btn btn-primary"
                           href="{% url 'my_assessment_share_with_auditor' organization.slug assessment.pk %}">
                            <span class="fa fa-share-alt"></span>
                            {% trans 'Share with auditor' %}
                        </a>
                        <a href="#" class="btn btn-default" data-dismiss="modal">{% trans "Go back" %}</a>
                    </div>
                </div>
            </div>
        </div>

        {% comment %}
        <div class="btn-group pull-right">
            <a href="#actions" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
                <span class="{{ ICONS.action }}"></span>
                {% trans "Actions" %}
                <span class="caret"></span>
            </a>
            <ul class="dropdown-menu">

                <li></li>

                <li class="divider">

                <li>
                    <a href="#importModal" class="disabled" data-toggle="modal">
                        <span class="{{ ICONS.upload }}"></span>
                        {% trans "Import answers" %}
                    </a>
                </li>
                <li>
                    <a href="#exportModal" class="" data-toggle="modal">
                        <span class="{{ ICONS.download }}"></span>
                        {% trans "Export answers" %}
                    </a>
                </li>
                <li class="divider"></li>
                <li>
                    <a href="{% url "my_assessment_delete" organization.slug assessment.pk %}" class="">
                        <span class="{{ ICONS.delete }}"></span>
                        {% trans "Delete assessment" %}
                    </a>
                </li>
            </ul>
        </div>
        {% endcomment %}

        <div class="btn-group pull-right">
            {% if assessment.state == 'closed' %}
                {# Assessment is closed #}
                <a class="btn btn-default" href="{% url "my_assessment_reopen" organization.slug assessment.pk %}" rel="tooltip">
                    <span class="{{ ICONS.edit }}"></span>
                    {% trans "Reopen assessment" %}
    {#                Beoordeling heropenen #}
                </a>
            {%  endif %}
        </div>

    </div>
  </div>
	{% if page_subtitle and page_subtitle != "" %}
    	<h2 class="page-subtitle">
    		{{ page_subtitle }}
    	</h2>
	{% endif %}
</div>
